package com.microservices.common.core.exception;

/**
 * 多身份异常
 *
 * @author microservices
 */
public final class MultiIdentityException extends RuntimeException {
    private static final long serialVersionUID = 1L;

    /**
     * 错误提示
     */
    private String message;

    /**
     * 空构造方法，避免反序列化问题
     */
    public MultiIdentityException() {
    }

    public MultiIdentityException(String message) {
        this.message = message;
    }

    @Override
    public String getMessage() {
        return message;
    }

    public MultiIdentityException setMessage(String message) {
        this.message = message;
        return this;
    }
}